gstreamermm: Gst::TCPClientSink Class Reference

gstreamermm 0.10.10.2

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gst::TCPClientSink Class Reference
gstreamermm Plugins

A Wrapper for the tcpclientsink plugin. More...

Inheritance diagram for Gst::TCPClientSink:
[legend]
Collaboration diagram for Gst::TCPClientSink:
[legend]

List of all members.

## Public Member Functions
virtual | ~TCPClientSink ()
GstTCPClientSink* | gobj ()
| Provides access to the underlying C GObject.
const GstTCPClientSink* | gobj () const
| Provides access to the underlying C GObject.
GstTCPClientSink* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy < Glib::ustring > | property_host ()
| The host/IP to send the packets to.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_host () const
| The host/IP to send the packets to.
Glib::PropertyProxy< int > | property_port ()
| The port to send the packets to.
Glib::PropertyProxy_ReadOnly< int > | property_port () const
| The port to send the packets to.
Glib::PropertyProxy < Gst::TCPProtocol > | property_protocol ()
| The protocol to wrap data in.
Glib::PropertyProxy_ReadOnly < Gst::TCPProtocol > | property_protocol () const
| The protocol to wrap data in.
## Static Public Member Functions
static Glib::RefPtr < TCPClientSink > | create ()
| Creates a new tcpclientsink plugin with a unique name.
static Glib::RefPtr < TCPClientSink > | create (const Glib::ustring& name)
| Creates a new tcpclientsink plugin with the given name.
## Protected Member Functions
| TCPClientSink ()
| TCPClientSink (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::TCPClientSink > | wrap (GstTCPClientSink* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the tcpclientsink plugin.

Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems so care must be taken that they exist before they are used, otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::TCPClientSink::~TCPClientSink | ( |  | ) | `[virtual]`

Gst::TCPClientSink::TCPClientSink | ( |  | ) | `[protected]`

Gst::TCPClientSink::TCPClientSink | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<TCPClientSink> Gst::TCPClientSink::create | ( |  | ) | `[static]`

Creates a new tcpclientsink plugin with a unique name.

static Glib::RefPtr<TCPClientSink> Gst::TCPClientSink::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new tcpclientsink plugin with the given name.

GstTCPClientSink* Gst::TCPClientSink::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseSink.

const GstTCPClientSink* Gst::TCPClientSink::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseSink.

GstTCPClientSink* Gst::TCPClientSink::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::BaseSink.

Glib::PropertyProxy< Glib::ustring > Gst::TCPClientSink::property_host | ( |  | ) |

The host/IP to send the packets to.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gst::TCPClientSink::property_host | ( |  | ) | const

The host/IP to send the packets to.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::TCPClientSink::property_port | ( |  | ) |

The port to send the packets to.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::TCPClientSink::property_port | ( |  | ) | const

The port to send the packets to.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Gst::TCPProtocol > Gst::TCPClientSink::property_protocol | ( |  | ) |

The protocol to wrap data in.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Gst::TCPProtocol > Gst::TCPClientSink::property_protocol | ( |  | ) | const

The protocol to wrap data in.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::TCPClientSink > wrap | ( | GstTCPClientSink * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/tcpclientsink.h